> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vehicles

> Learn about the /vehicles endpoint.

Learn about the `/vehicles` endpoint.

Vehicle objects contain vehicle information within a particular payroll account that the user has connected via Argyle Link.

![High level structure of the vehicle object.](https://res.cloudinary.com/argyle-media/image/upload/f_auto/v1674859101/docs-2023/API%20Endpoints/Vehicles)

## The vehicle object

### Attributes

* `id` (string (uuid), optional): Unique ID of the vehicle associated with a user's payroll account.
* `account` (string (uuid), optional): ID of the payroll account associated with the vehicle.
* `employer` (string, optional): The name of the company or entity that employs the user.
* `vin` (string, optional): Vehicle Identification Number (VIN).
* `make` (string, optional): The make or brand of the vehicle manufacturer—for example, Ford, Toyota.
* `model` (string, optional): The model of the vehicle—for example, Fiesta, Prius.
* `year` (string, optional): The manufacture year of the vehicle—for example, 2011.
* `identification` (string, optional): The license plate or other ID depending on the vehicle type.
* `metadata` (object, optional): Holds additional available, often unstructured information about this data resource.

```json theme={}

{
"id": "e8b085d1-fa2c-4e0f-8b2e-93c6ac991f12",
"account": "010db8b4-a724-47fc-c17e-733b656312a1",
"employer": "uber",
"vin": "3VWRA81H7WM116221",
"make": "Toyota",
"model": "Corolla",
"year": 2011,
"identification": "HIJ8473",
"type": "car",
"created_at": "2019-04-01T14:13:47.804Z",
"updated_at": "2019-04-02T08:15:15.635Z",
"metadata": {}
},
null,
2
  
```

<RefSubLayout.Divider />

## Retrieve a vehicle

**GET** `/v1/vehicles/{id}`

* Retrieve a vehicle object with the supplied ID.
* This request returns a vehicle object if you provided a valid identifier.

### Path parameters

* `id` (string (uuid), required): The identifier of the vehicle to be retrieved.

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/vehicles/{id} \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/vehicles/{id}"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

{
  "id": "01805174-1b04-8e9e-a00e-adc9295df9fc",
  "account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
  "identification": "D0VGRM",
  "make": "Ford",
  "model": "Explorer",
  "type": "car",
  "type_description": null,
  "year": 1995,
  "vin": "1U33546M4YYT0FXCV",
  "employer": "udre",
  "created_at": "2022-04-22T13:26:45.253Z",
  "updated_at": "2022-04-22T13:26:45.253Z",
  "metadata": {}
},
null,
2
  
```

<RefSubLayout.Divider />

## List vehicles

**GET** `/v1/vehicles`

* List all vehicles.
* This request returns an object with a `results` property that contains an array of up to `limit` vehicle objects.

### Query parameters

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/vehicles?limit=2 \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/vehicles?limit=2"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

[
  {
"id": "01805174-1b04-8e9e-a00e-adc9295df9fc",
"account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
"identification": "D0VGRM",
"make": "Ford",
"model": "Explorer",
"type": "car",
"type_description": null,
"year": 1995,
"vin": "1U33546M4YYT0FXCV",
"employer": "udre",
"metadata": {},
"created_at": "2022-04-22T13:26:45.253Z",
"updated_at": "2022-04-22T13:26:45.253Z"
  },
  {
"id": "01805174-1ab0-8fe0-d60f-be8f205194d6",
"account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
"identification": "PVIXIS",
"make": "Ford",
"model": "Galaxy",
"type": "car",
"type_description": null,
"year": 2005,
"vin": "18IMWASXATWBW2XE4",
"employer": "udre",
"metadata": {},
"created_at": "2022-04-22T13:26:45.168Z",
"updated_at": "2022-04-22T13:26:45.168Z"
  }
],
null,
2
  
```
